
Foreman - Bug #2479

Failed to generate external nodes for <> with undefined method `value_for' for #<LookupKey>

05/09/2013 04:01 PM - Ohad Levy

Status: Duplicate   

Priority: Normal   

Assignee: Amos Benari   

Category: Parameters   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Is duplicate of Foreman - Bug #2478: smart-variable match by hostgroup label ... Closed 05/09/2013

History

#1 - 05/09/2013 04:01 PM - Ohad Levy

it seems like it used in at least two places:

app/models/host/managed.rb:      p[k.to_s] = k.value_for(self)

app/controllers/lookup_keys_controller.rb:      value = { :value => @lookup_key.value_for(host) }

#2 - 05/12/2013 06:57 AM - Ohad Levy

- Status changed from New to Duplicate
